complexType "FxLinkedNotionalSchedule"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 6 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | constantNotionalScheduleReference?, initialValue?, varyingNotionalCurrency?, varyingNotionalFixingDates?, fxSpotRateSource?, varyingNotionalInterimExchangePaymentDates?
</...>

Content Model Elements (6):

  constantNotionalScheduleReference, fxSpotRateSource (in fxLinkedNotionalSchedule), initialValue (in fxLinkedNotionalSchedule), | varyingNotionalCurrency, varyingNotionalFixingDates, varyingNotionalInterimExchangePaymentDates

All Direct / Indirect Based Elements (1):

  fxLinkedNotionalSchedule

Known Usage Locations

- As direct type of elements (1):
  fxLinkedNotionalSchedule

Annotation
Annotation 1 [src]:
A type to describe a notional schedule where each notional that applies to a calculation period is calculated with reference to a notional amount or notional amount schedule in a different currency by means of a spot currency exchange rate which is normally observed at the beginning of each period.
Annotation 2 [src]:
FxLinkedNotionalSchedule - for use with pretrade Credit Limit Check messages.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="FxLinkedNotionalSchedule"> <xsd:sequence> <xsd:element minOccurs="0" name="constantNotionalScheduleReference" type="NotionalReference"/> <xsd:element minOccurs="0" name="initialValue" type="xsd:decimal"/> <xsd:element minOccurs="0" name="varyingNotionalCurrency" type="Currency"/> <xsd:element minOccurs="0" name="varyingNotionalFixingDates" type="RelativeDateOffset"/> <xsd:element minOccurs="0" name="fxSpotRateSource" type="FxSpotRateSource"/> <xsd:element minOccurs="0" name="varyingNotionalInterimExchangePaymentDates" type="RelativeDateOffset"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
constantNotionalScheduleReference

  Type: | NotionalReference, empty content

  A pointer style reference to the associated constant notional schedule defined elsewhere in the document which contains the currency amounts which will be converted into the varying notional currency amounts using the spot currency exchange rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="constantNotionalScheduleReference" type="NotionalReference"/>

fxSpotRateSource

  Type: | FxSpotRateSource, complex content

  The information source and time at which the spot currency exchange rate will be observed.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fxSpotRateSource" type="FxSpotRateSource"/>

initialValue

  Type: | xsd:decimal, predefined, simple content

  The initial currency amount for the varying notional. This may be omitted for a forward starting swap if the FX-linked notional value is not known at deal inception.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialValue" type="xsd:decimal"/>

varyingNotionalCurrency

  Type: | Currency, simple content

  The currency of the varying notional amount, i.e. the notional amount being determined periodically based on observation of a spot currency exchange rate.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="varyingNotionalCurrency" type="Currency"/>

varyingNotionalFixingDates

  Type: | RelativeDateOffset, complex content

  The dates on which spot currency exchange rates are observed for purposes of determining the varying notional currency amount that will apply to a calculation period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="varyingNotionalFixingDates" type="RelativeDateOffset"/>

varyingNotionalInterimExchangePaymentDates

  Type: | RelativeDateOffset, complex content

  The dates on which interim exchanges of notional are paid. Interim exchanges will arise as a result of changes in the spot currency exchange amount or changes in the constant notional schedule (e.g. amortization).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="varyingNotionalInterimExchangePaymentDates" type="RelativeDateOffset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.